/** popup.js */
var c = chrome;
var ws = c.windows;
var tbs = c.tabs;

$(function() {
  
  /** 取得ボタンが押されたときのイベントをバインド */
  $('#fetch').click(function () {
    setTextAreaUrlAndTitle();
  });
  
});

/** 現在選択されているタブのURLとタイトルを取得してテキストエリアに設定する */
function setTextAreaUrlAndTitle() {
  try {
    ws.getCurrent(function (window) {
      tbs.getSelected(window.id, function (tab) {
        var url = tab.url;
        var title = tab.title;
        var formattedLinkText = title + "\n" + url;
        $('#text').attr('value', formattedLinkText);
      });
    });
  } catch (e) {
    alert(e);
  }
}
